Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.commonapi.rawserialization
Interface RawMessage

All Superinterfaces:
  Message, java.io.Serializable

All Known Implementing Classes:
  AbstractSubscribeMessage, AnycastFailureMessage, AnycastMessage, BroadcastLeafSet, BroadcastRouteRow, ByteBufferMsg, CacheMessage, ConsistentJoinMsg, ContinuationMessage, DropMessage, FetchHandleMessage, FetchMessage, GCCollectMessage, GCInsertMessage, GCLookupHandlesMessage, GCRefreshMessage, GlacierDataMessage, GlacierFetchMessage, GlacierMessage, GlacierNeighborRequestMessage, GlacierNeighborResponseMessage, GlacierQueryMessage, GlacierRangeForwardMessage, GlacierRangeQueryMessage, GlacierRangeResponseMessage, GlacierRefreshCompleteMessage, GlacierRefreshPatchMessage, GlacierRefreshProbeMessage, GlacierRefreshResponseMessage, GlacierResponseMessage, GlacierSyncMessage, GlacierTimeoutMessage, InsertMessage, JavaSerializedMessage, JoinRequest, LeafSetRequest, LeafSetResponse, LookupHandlesMessage, LookupMessage, MessageLostMessage, MyMsg, MyMsg, OpenChannelMsg, PastMessage, PastryEndpointMessage, PilotForwardMsg, PJavaSerializedMessage, PRawMessage, ProbeRequestMessage, PublishMessage, PublishRequestMessage, ReminderMessage, RendezvousJoinRequest, ReplicationMessage, RequestLeafSet, RequestMessage, RequestRouteRow, ResponseMessage, RouteMessage, RouteRowRequest, RouteRowResponse, ScribeMessage, SubscribeAckMessage, SubscribeFailedMessage, SubscribeMessage, UnsubscribeMessage

    public interface RawMessage

extends Message

Field Summary

Fields inherited from interface rice.p2p.commonapi.Message
`DEFAULT_PRIORITY, HIGH_PRIORITY, LOW_PRIORITY, LOWEST_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Method Summary
`short` | `getType()`
`void` | `serialize(OutputBuffer buf)`

Methods inherited from interface rice.p2p.commonapi.Message
`getPriority`

Method Detail

### getType

    short getType()

### serialize

    void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.